uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Kl├╝gl <pklu...@uni-wuerzburg.de>
Subject Re: [VOTE] Release Apache UIMA Ruta 2.2.0 RC3
Date Thu, 20 Mar 2014 14:31:27 GMT
Am 20.03.2014 15:22, schrieb Alexandre Patry:
>
> It is about missing dependencies for eclipse :
>
> [ERROR] Failed to execute goal on project ruta-ep-ide: Could not
> resolve dependencies for project
> org.apache.uima:ruta-ep-ide:jar:2.2.0: The following artifacts could
> not be resolved: org.eclipse.dltk:core:jar:3.0.1,
> org.eclipse.core:filesystem:jar:1.3.100,
> org.eclipse.dltk:launching:jar:3.0.0,
> org.eclipse.core:expressions:jar:3.4.300,
> org.eclipse.dltk:debug:jar:3.0.1,
> org.eclipse.dltk.validators:core:jar:3.0.0,
> org.eclipse.core:resources:jar:3.7.101, org.eclipse:ui:jar:3.7.0,
> org.eclipse.jdt:launching:jar:3.6.1: Failure to find
> org.eclipse.dltk:core:jar:3.0.1 in http://repo1.maven.org/maven2 was
> cached in the local repository, resolution will not be reattempted
> until the update interval of central has elapsed or updates are forced
> -> [Help 1]
>
> My nexus repository at work contains those, so I was able to test it.
>

Ah strange. Maybe Richard removed the old DLTK bundles from zoidberg, or
the server was offline? Maven should normally be able to find the artifacts.

ruta-parent includes that repository:

<!-- Temporary repository that contains osgi bundles like DLTK 3.0.
Added to ease building the UIMA Ruta
  Eclipse plugins that depend on bundles, which are not provided by
public maven repositories. -->
<repository>
  <id>ukp-osgi-releases</id>
 
<url>http://zoidberg.ukp.informatik.tu-darmstadt.de/artifactory/public-ext-osgi-releases-local</url>
</repository>

Anyways, I should improve the dependency version for the dltk bundles
sometime.

Best,

Peter

> Best,
>
> Alexandre
>


Mime
View raw message